******************************************************************
**  Countries: Nigeria, Malawi, Ethiopia                        **
**                                                              **
**  Description: Creating final dataset       					**
**                                                              **
**  Program first written: January 2022 (Valentina Costa)   	**
**  Program last revised:  September 2023                  		** 
******************************************************************
***This file creates a pooled dataset merging Ethiopia, Malawi and Nigeria datasets ***

use "$ethiopia_final\ethiopia.dta", clear
merge 1:1 y4_hhid using "$malawi_final\malawi.dta"
drop _merge 
merge 1:1 y4_hhid using "$nigeria_final\nigeria.dta"
drop _merge 
	
isid y4_hhid

// Saving the final dataset //	
save "$pooled.dta", replace
